import wx
#Global Variables for Firestorm Fleet Manager


pymapperUser = True

frame = None           #main Frame
root_folder = None
data_folder = None
images_folder = None
fleets_folder = None
faction_images_folder = None
ship_images_folder = None
ship_custom_images_folder = None
backup_folder = None

#colors used in the upgrades section to denote either/or selections
XORblue = wx.Colour(0,198,255)
XORred = wx.Colour(255,96,102)
XORgreen = wx.Colour(0,232,0)
XORorange = wx.Colour(255,144,71)
XORpurple = wx.Colour(189,113,255)

nextMasterIndex = 0  #master index for ship classes.  Assign when a new class is input, and then add 1
nextUserIndex = 1000000  #user index for ship classes.  Used when someone other than pymapper updates ship class info.

SaveMarData = False
SaveFleetData = True

MarList = []        #list of MarRecord() items.   Holds all of the available MAR's
MarDataFile = None  # must be a valid filename

ShipClassList = []    #list of ShipRecord() items.   Holds the base data for each faction's list of ships
ShipClassFile = None  #filename to the ship class database

FleetComposition = None      #datastruct.fleetRaces
FleetCompositionFile = None

ShipInventoryFile = None   #filename for the ship ownership inventory
FleetRosterFile = None     #filename for the roster of all fleets

defaultImage = 'default.png'
defaultCoreFaction = 'Dindrenzi'

IncludeFlavorText = True    #include optional weapon names, ship names, etc on printouts?

InventoryBackgroundColor = None
FleetBackgroundColor = None
EscortBackgroundColor = None

Report_DR_Color = wx.Colour(255,192,0,255) #light orange
Report_CR_Color = wx.Colour(237,125,49,255) #med orange
Report_HP_Color = wx.Colour(255,0,0,255) #red
Report_MV_Color = wx.Colour(0,176,80,255) #med green
Report_TL_Color = wx.Colour(197,224,180,255) #light green
Report_CP_Color = wx.Colour(255,255,0,255) #yellow
Report_AP_Color = wx.Colour(116,157,93,255) #olive green
Report_PD_Color = wx.Colour(166,107,211,255) #purple
Report_SR_Color = wx.Colour(104,219,242,255) #teal
Report_MN_Color = wx.Colour(169,139,95,255) #brown
Report_WC_Color = wx.Colour(150,166,188,255) #gray blue

Report_DirectFireHeader_Color = wx.Colour(59,204,107,255) #light orange
Report_DirectFire_Color = wx.Colour(182,239,201,255) #light orange

Report_IndirectFireHeader_Color = wx.Colour(255,217,102,255) #med yellow
Report_IndirectFire_Color = wx.Colour(255,238,193,255) #med yellow

Report_SRS_Color = wx.Colour(157,195,230,255) #med blue
Report_Hardpoint_Color = wx.Colour(91,155,213,255) #med dk blue
Report_Upgrade_Color = wx.Colour(91,155,213,255) #med dk blue
Report_MAR_Color = wx.Colour(91,155,213,255) #med dk blue


PrintMAR = 'Summary'  #print out all MAR information?  Either Simple,Summary,OR Detailed
PrintBW = False          #print only in B&W?

#These are filenames that will be used in generating the wxBitmap or wxImage when needed.
FactionBitmap_Sorylian = 'sorylian.png'
FactionBitmap_Aquan = 'aquan.png'
FactionBitmap_Terran = 'terran.png'
FactionBitmap_HawkerIndustries = 'hawker.png'
FactionBitmap_Dindrenzi = 'dindrenzi.png'
FactionBitmap_Directorate = 'directorate.png'
FactionBitmap_BaKash = 'bakash.png'
FactionBitmap_Kedorian = 'kedorian.png'
FactionBitmap_Relthoza = 'relthoza.png'
FactionBitmap_RenseSystemNavy = 'rsn.png'
FactionBitmap_Ryushi = 'ryushi.png'
FactionBitmap_Tarakian = 'tarakian.png'
FactionBitmap_Terquai = 'terquai.png'
FactionBitmap_Veydreth = 'veydreth.png'
FactionBitmap_WorksRaptor = 'works raptor.png'
FactionBitmap_Xelocian = 'xelocian.png'
FactionBitmap_OSO_Corsairs = 'corsairs.png'
FactionBitmap_OSO_Omnidyne = 'omnidyne.png'
FactionBitmap_Oroshan = 'oroshan.png'
FactionBitmap_Pathogen = 'pathogen.png'
FactionBitmap_STL_Syndicate = 'syndicate.png'
FactionBitmap_STL_Traders = 'traders.png'